#!/usr/bin/env bash
git submodule update --init --recursive
sh -c "$(curl -fsSL https://raw.githubusercontent.com/ohmyzsh/ohmyzsh/master/tools/install.sh)"
curl -sL --proto-redir -all,https https://raw.githubusercontent.com/zplug/installer/master/installer.zsh | zsh

cp ./.config ~ -r
cp ./.zcustom ~ -r
cp ./.doom.d ~ -r

cp ./.zshrc ~
cp ./.ideavimrc ~
cp ./.profile ~
cp ./.gitconfig ~

if [ -n "$(command -v vim)" ]; then
    cp ./.vimrc ~
    vim +PlugInstall +qall
fi

if [ -n "$(command -v nvim)" ]; then
    cp ./.vimrc ~
    mkdir -p $HOME/.config/nvim
    ln -s ../../.vimrc ~/.config/nvim/init.vim
    nvim +PlugInstall +qall
fi

echo "Done installing configs."
